Bug 1021901 - Cannot enter valid name for Program group during console installation
Cannot enter valid name for Program group during console installation
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: ER7
: EAP 6.2.0
Assigned To: Francisco Canas
Petr Kremensky
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-22 05:57 EDT by Petr Kremensky
Modified: 2014-09-03 00:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:22:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-10-22 05:57:21 EDT
Description of problem:
 User cannot change the name of program group for shortcuts while installing EAP via console installer. First input character is taken as new program group name.

Version-Release number of selected component (if applicable):
 EAP 6.2.0.ER6

How reproducible:
 Always

Steps to Reproduce:
 1. Run console installion: java -jar jboss-eap-6.2.0.ER6-installer.jar -console
 2. Select to Create shortcuts in the Start-Menu once prompted (default value).
 3. Try to change the name of a Program Group for the Shortcuts.

Actual results:
 First character user inputs is taken as Program Group name, installation will instantly move to next step (auto.xml generation)

Expected results:
 User can enter new program group name, installation won't continue to next step unless user press the enter key.
Comment 1 Francisco Canas 2013-10-22 11:14:32 EDT
Changed the method input is gathered for the shortcut panel to use the Shell class, and this change fixes the issue.

http://git.app.eng.bos.redhat.com/izpack.git/commit/?h=izpack-wip&id=be4dd1ee88a85d7c29654276e7b024d2bd02d488
Comment 2 Petr Kremensky 2013-11-01 07:12:52 EDT
Verified on EAP 6.2.0.ER7 installer.

Note You need to log in before you can comment on or make changes to this bug.